Bug 820875 - [RHEVM] [GUI] check network connectivity flag is ignored
[RHEVM] [GUI] check network connectivity flag is ignored
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Einav Cohen
Depends On:
  Show dependency treegraph
Reported: 2012-05-11 05:22 EDT by Martin Pavlik
Modified: 2016-04-18 03:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-12 02:13:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Pavlik 2012-05-11 05:22:49 EDT
Description of problem:

Acocording to logs, it seems that it does not matter whether the box is checked or not it always sends checkConnectivity=true

Thread-5803:EBUG::2012-05-10 16:05:01,339::BindingXMLRPC::864::vds:wrapper) client []::call editNetwork with ('rhevm', 'rhevm', '', '', ['em1'], {'connectivityCheck': 'true', 'BOOTPROTO': 'dhcp', 'STP': 'no', 'connectivityTimeout': '120'}) {} flowID [1fe19ed0]
MainProcess|Thread-5803::INFO::2012-05-10 16:05:01,360::configNetwork::726::root:delNetwork) Removing network rhevm with vlan=None, bonding=None, nics=['em1']. options={'connectivityCheck': 'true', 'bootproto': 'dhcp', 'STP': 'no', 'connectivityTimeout': '120'}
MainProcess|Thread-5803::INFO::2012-05-10 16:05:01,657::configNetwork::595::root:addNetwork) Adding network rhevm with vlan=None, bonding=None, nics=['em1'], bondingOptions=None, mtu=None, bridged=True, options={'connectivityCheck': 'true', 'bootproto': 'dhcp', 'STP': 'no', 'connectivityTimeout': '120'}

2012-05-10 16:05:14,693 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.EditNetworkVDSCommand] (pool-10-thread-45) [1fe19ed0] START, EditNetworkVDSCommand(vdsId = 6387fb68-99a2-11e1-b643-001a4a013f3a, networkName=rhevm, oldNetworkName=rhevm, hostAddr=, checkConnectivity=true, connectionTimeout=120, vlanId=null, bondName=null, nics=[em1], inetAddr=null, networkMask=null, gateway=, stp=false, bondingOptions=null, bootProtocol=Dhcp), log id: 360aa73a

Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-9.el6ev 

How reproducible:

Steps to Reproduce:
go to 

1)Hosts-> your host -> network interfaces -> check rhevm interface -> Edit Management Network

2) Uncheck Check Connectivity tick-box -> click OK ==> Empty confirm dialog appears

3) Click ok in empty dialog

Actual results:
network connectivity check is performed when "check connectivity" is unticked

Expected results:
network connectivity check should not be performed when "check connectivity" is unticked

Additional info:
Comment 1 Avi Tal 2012-05-12 02:13:58 EDT
You Can't allow unchecking network connectivity when editing management network

Note You need to log in before you can comment on or make changes to this bug.